Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class OrgModelEntityID

    java.lang.Object
      com.tibco.bpm.web.client.model.types.OrgModelEntityID

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class OrgModelEntityID

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

An Organisational Model entity ID.

Contains the guid and type and version of the entity.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Constructor Summary
`OrgModelEntityID()`

Method Summary
`boolean` | `equals(java.lang.Object aThat)`
`java.lang.String` | `getEntityType()` The type of the entity (i.e.
`java.lang.String` | `getGuid()` The GUID of the entity.
`int` | `getVersion()` Version of the entity
`int` | `hashCode()`
`void` | `setEntityType(java.lang.String entityType)` The type of the entity (i.e.
`void` | `setGuid(java.lang.String guid)` The GUID of the entity.
`void` | `setVersion(int version)` Version of the entity

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrgModelEntityID

    public OrgModelEntityID()

Method Detail

### getVersion

    public int getVersion()

  Version of the entity

  Returns:
    The Version of the entity

### setVersion

    public void setVersion(int version)

  Version of the entity

  Parameters:
    `version` - Version of the entity to set

### getGuid

    public java.lang.String getGuid()

  The GUID of the entity.

  Returns:
    Returns the guid.

### setGuid

    public void setGuid(java.lang.String guid)

  The GUID of the entity.

  Parameters:
    `guid` - The guid to set.

### getEntityType

    public java.lang.String getEntityType()

  The type of the entity (i.e. RESOURCE, GROUP, POSITION ).

  Returns:
    Returns the entityType.

### setEntityType

    public void setEntityType(java.lang.String entityType)

  The type of the entity (i.e. RESOURCE, GROUP, POSITION ).

  Parameters:
    `entityType` - The entityType to set.

### equals

    public boolean equals(java.lang.Object aThat)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.